CollectionManager (Resource Management Library 2.8.1-SNAPSHOT API)
Date: 2018-11-05

org.gcube.resourcemanagement.support.server.managers.resources

## Class CollectionManager

- java.lang.Object
- - org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
  - - org.gcube.resourcemanagement.support.server.managers.resources.CollectionManager

-     public class CollectionManager
      extends AbstractResourceManager

  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionManager()` Deprecated. discouraged use. With no ID some operations cannot be accessed.
    `CollectionManager(String id)`
    `CollectionManager(String id, String name)`
    `CollectionManager(String id, String name, String subtype)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.gcube.common.resources.gcore.Resource` | `buildResource(String xmlRepresentation)` Given the XML profile representation of a gcube resource, its GCUBEResource is built.

    - ### Methods inherited from class org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager

      `addToExistingScope, copyFromToVO, delete, forceDelete, getID, getName, getRegistryPublisher, getReportResourceManager, getResource, getResourceManager, getSubType, getType, getXMLDescription, removeFromScope, setID, validateScopes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionManager

          public CollectionManager()
                            throws ResourceParameterException,
                                   ResourceAccessException

      Deprecated. discouraged use. With no ID some operations cannot be accessed.
      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### CollectionManager

          public CollectionManager(String id)
                            throws ResourceParameterException,
                                   ResourceAccessException

      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### CollectionManager

          public CollectionManager(String id,
                           String name)
                            throws ResourceParameterException,
                                   ResourceAccessException

      Parameters:
        `id` -
        `name` -
      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### CollectionManager

          public CollectionManager(String id,
                           String name,
                           String subtype)
                            throws ResourceParameterException,
                                   ResourceAccessException

      Parameters:
        `id` -
        `name` -
        `subtype` -
      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

  - ### Method Detail

    - #### buildResource

          protected org.gcube.common.resources.gcore.Resource buildResource(String xmlRepresentation)
                                                                     throws AbstractResourceException

      Description copied from class: `AbstractResourceManager`
      Given the XML profile representation of a gcube resource, its GCUBEResource is built. Since it depends on the type of the resource, each concrete implementation of resource managers must implement it.
      Specified by:
        `buildResource` in class `AbstractResourceManager`
      Returns:
      Throws:
        `AbstractResourceException`

Copyright © 2018. All Rights Reserved.